__________________________________________________________________
TOPIC

Experiences of ZS6AWK to get both a PK232 and a DSP56002EVM going
with the NOS system.

BY
Danie Brynard ZS6AWK
email: danie.brynard@pixie.co.za
packet: zs6awk@zs0clp.tvl.zaf.af (South Africa)
Update: 30/7/95
Version: 1.00

SCOPE

As a total newcomer to NOS it took me a while to get NOS working with
the above two modems. This is just a summary of things to do to get
the stuff working. Remember everything is actually quite simple but
for a novice there are a few things to keep in mind.

MAIN POINTS ON THE PK232 TNC
____________________________

1) A special sequence of commands are necessary to put the PK2323 into KISS
mode, not just KISS ON. There are:

start 0
stop 0
xon 0
xoff 0
xflow off
conmode trans
hpoll off
kiss on
rawhdlc on
ppersist on
host on

Put this into a 'message file' if you are using something like LANLINK. I put
mine under function key F10. Once the TNC is in KISS mode it won't come out
to native mode easily using the normal packet software. A brute force way to
do this is to insert a switch into the battery backup line of the PK232 so that
you can make it 'forget' the KISS mode. For this I installed a toggle switch on
the front panel of the PK232 to control the battery back up unit. From NOS you
can give the command 'param tnc0 255' which will also set the TNC back to native
mode.

2) Make sure your cable to the TNC has got the hardware handshaking lines
installed. The book 'NOSIntro' describes procedures to check this out. The
basic idea is to tell your TNC to use hardware handshaking in stead of
software flow control and attempt to connect to a local BBS using the
normal comms packet software. If this does not work then the hardware
flow control lines are not connected on your RS232 cable.

3) Make sure that when you quit your normal TNC comms program does not put
the TNC back into native mode or normal AX.25 mode. (Before you go the the EVM)

MAIN POINTS ON THE DSP56002EVM
______________________________

1) Make sure you can download the applications software correctly to the EVM.
(ie down load BIOS.asm first then fsk.asm and then say GO 0) The green LED
must be flashing.

2) Make sure the host port jumpers are installed on the EVM on J8. (Don't be
foolish like me and forget it !) I made my own version of KC7WW's interface
board and the filename is evm56k.sch Let me know if you want a copy of the
diagram. I also made a PCB layout.

3) Make sure all the hardware mods needed to a standard EVM is done correctly.
To check this out I wrote the program TSTSCI.asm to test basic async comms
between the PC UART and the 56002 SCI. Please let me know if you want the
source of this program.

4) The async comms between the PC and EVM is by default at 19200 baud so set
your NOS program to that by the following:

# for PK232 on COM2:
  attach asy     0x2f8 3 ax25 tnc0 2048 256 9600       # COM2
# for DSP56002EVM on COM2:
  attach asy     0x2f8 3 ax25 tnc0 2048 256 19200      # COM2

Note COMM1 is normally used by the PC mouse

5) I guess any version of NOS will work but I had luck with the following
version: (PA0GRI version 920730)  I bought the book 'NOSIntro' by Ian Wade
G3NRW which is an excellent introduction to the topic. The program 'NOSVIEW'
came with the book.

6) Execute NOS by typing: nos_20m autoexec.nos (or so)
You can put the config file in the same directory as you NOS program.
   To monitor raw ax.25 traffic type: trace tnc0 0211
   (if you attached 'tnc0' to your comm port in use)

7) To connect to another station type:
   c tnc0 zs6awk
   It will then connect to zs6awk as normal


CONCLUSION

I hope this short file will give other prospective users of the EVM a little
help. Let me know what your experiences are. By sharing our experiences we can
all learn more. My biggest pain at the moment is the shortage of COMM ports on
my PC. Does anybody have suggestions ?

73 de Danie zs6awk
__________________________________________________________________
